import * as React from 'react';
import { pie, arc, interpolateRgb, centroid } from 'd3';

export const Slice = ({
  outerRadius,
  innerRadius,
  pie,
}) => {
  let arc = d3
    .arc()
    .innerRadius(120)
    .outerRadius(outerRadius);

  let interpolate = d3.interpolateRgb('#bc3358', '#eaaf79');
  
  return pie.map((slice, index) => {
    let sliceColor = interpolate(index / (pie.length - 1));
    return (
      <>
        <path d={arc(slice)} fill={sliceColor} />
        {/*<g>
          <text
          className="pie-slice"
          transform={`translate(${arc.centroid(slice)})`}
          text-anchor="middle"
        >
          {textData[index]}
        </text>
        </g>*/}
      </>
    );
  });
};
